[BUGFIX] Add available jQuery version to PageRenderer 49/29449/2
authorMarkus Klein <klein.t3@mfc-linz.at>
Mon, 14 Apr 2014 09:07:19 +0000 (11:07 +0200)
committerWouter Wolters <typo3@wouterwolters.nl>
Mon, 14 Apr 2014 09:13:27 +0000 (11:13 +0200)
The core still ships jQuery 1.9.1 within the contrib folder,
but the list of available versions in PageRenderer does not
contain that version.

Lets just add it.

Resolves: #57466
Releases: 6.2
Change-Id: I10f8e1d24b0c8a8864187c2fe3641cce4303fb5c
Reviewed-on: https://review.typo3.org/29449
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
typo3/sysext/core/Classes/Page/PageRenderer.php

index 3f28ccd..5a1d299 100644 (file)
@@ -345,6 +345,7 @@ class PageRenderer implements \TYPO3\CMS\Core\SingletonInterface {
         */
        protected $availableLocalJqueryVersions = array(
                '1.8.2',        // jquery version shipped with TYPO3 6.0, still available in the contrib/ directory
+               '1.9.1',
                self::JQUERY_VERSION_LATEST
        );